Subject: Re: linux-next: manual merge of the mm tree with the kspp tree

From: Kees Cook <[email-masked]>
Date: Wed, 31 Aug 2022 10:51:08 -0700

On Tue, Aug 30, 2022 at 05:00:51PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the mm tree got a conflict in:
> 
>   lib/Makefile
> 
> between commit:
> 
>   5e3ad11bfc5a ("testing/selftests: Add tests for the is_signed_type() macro")
> 
> from the kspp tree and commit:
> 
>   7a2791666971 ("testing/selftests: add tests for the is_signed_type() macro")
> 
> from the mm tree.
> 
> I fixed it up (I dropped the latter commit by using the former version
> of this file and deleting lib/is_signed_type_test.c) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

Thanks! Andrew, can you drop these patches from -mm please? I corrected
the filename convention in the above named patch.

-- 
Kees Cook